for $ds ('AMBIENT', 'MORESQUE')
{
	print "Dataset $ds\n";
	%polysemy = ();

	open IN, "${ds}_dataset/subTopics.txt";

	$line = <IN>;

	while(<IN>)
	{
		chomp;
		($id, $subtopic_desc) = split /\t/;	
		($topic, $subtopic) = $id =~ /(\d+)\.(\d+)/;
		$polysemy{$topic}++;
	}

	close IN;

	open IN, "${ds}_dataset/STRel.txt";

        $line = <IN>;
	%count = ();

	while(<IN>)
	{
		chomp;
		($subtopic, $snippet) = split /\t/;
		$count{$snippet}++;
	}

	close IN;

	print "Number of topics: ";
	$n_topics = scalar(keys %polysemy);
	print $n_topics;
	print "\n";

	$pol = 0;
	for $val (values %polysemy) { $pol += $val; }

	print "Average polysemy: ";
	print $pol/$n_topics;
	print "\n";

	$pol = 0;
	for $val (values %count) { $pol += $val; }

	print "Number of annotated snippets: ";
	$n_anno_snippets = scalar(keys %count);
	print $n_anno_snippets;
	print "\n";

	print "% of annotated snippets: $n_anno_snippets / ";
	print $n_topics*100;
	print " = ";
	print $n_anno_snippets/($n_topics*100);
	print "\n";

	print "Average # of subtopics per snippet: ";
	print $pol/$n_anno_snippets;
	print "\n";
}
